# $Revision: 1.29 $, $Date: 2002/08/03 14:08:18 $
Summary:	A GNOME H.323 videoconferencing tool
Summary(pl):	Program do telekonferencji w standardzie H.323
Name:		gnomemeeting
Version:	0.85.1
Release:	4
License:	GPL
Group:		Applications/Communications
Source0:	http://www.gnomemeeting.org/downloads/latest/sources/GnomeMeeting-%{version}.tar.gz
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-automake.patch
Patch2:		%{name}-configure.patch
Patch3:		%{name}-pwlib.patch
Patch4:		%{name}-default_ils.patch
URL:		http://www.gnomemeeting.org/
BuildRequires:	GConf-devel >= 1.0.9-2
BuildRequires:	intltool >= 0.15-2
BuildRequires:	gnome-libs-devel >= 1.0.54
BuildRequires:	pwlib-devel >= 1.2.13-3
BuildRequires:	openh323-devel >= 1.8.2-3
BuildRequires:	openldap-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6
%define         _sysconfdir     /etc/X11/GNOME

%description
A GNOME H.323 videoconferencing tool.
GnomeMeeting is based on international protocol H.323, thus is compatible with
other H.323 clients (e.g. NetMeeting).

%description -l pl
Program do wideokonferencji dla GNOME.
Korzysta z midzynarodowego protokou H.323, dziki czemu mona 
za jego porednictwem czy si z kadym innym programem uywajcym 
tego protokou (np. NetMeeting).

%prep
%setup -q -n GnomeMeeting-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%{__gettextize}
aclocal -I %{_aclocaldir}/gnome
%{__autoconf}
automake -a
libtoolize -f

%configure --disable-install-schemas

%{__make} CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Network/Communications

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang GnomeMeeting

%post
umask 022
gconftool --shutdown
GCONF_CONFIG_SOURCE=xml::%{_sysconfdir}/gconf/gconf.xml.defaults gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schema 2>/dev/null >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f GnomeMeeting.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_applnkdir}/Network/Communications/gnomemeeting.desktop
%{_datadir}/sounds/%{name}
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound/events/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnomemeeting.spec,v $
Revision 1.29  2002/08/03 14:08:18  klakier
- STBR
- added default_ils.patch

Revision 1.28  2002/08/03 13:21:58  klakier
- rel 4
- patched to build with pwlib >= 1.3.x

Revision 1.27  2002/07/26 18:41:24  klakier
- back to 0.85, 0.93.0 to DEVEL branch

Revision 1.25  2002/07/10 18:48:05  mmazur
- added BR

Revision 1.24  2002/07/09 18:45:40  marcus
- reverse back to 0.85.1

Revision 1.22  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.21  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/04/25 16:26:39  arturs
fixed a small typo

Revision 1.19  2002/04/14 12:50:33  aflinta
 - corrected %files section
 - the same release, STBR

Revision 1.18  2002/04/14 12:32:54  aflinta
 - changed menu entry from Network->Misc to Network->Communications
 - Changed BR to newer (fixed) versions
 - release 3

Revision 1.17  2002/04/11 20:42:59  aflinta
 - Added BR GConf-devel
 - Added BR intltool
 - Corrected GConf stuff
 - release 2 STBR

Revision 1.16  2002/04/11 17:32:34  mmazur
- builds; though needs some corrections; nfy

Revision 1.15  2002/04/11 17:09:23  mmazur
- added BR

Revision 1.14  2002/04/11 16:49:36  aflinta
 - restored back aclocal, automake etc.

Revision 1.13  2002/04/09 23:04:23  mmazur
- well... fixed it to compile, though I get nasty errors when linking -
this is caused by the bloody openh323/pwlib. Somebody look at pwlib/openh323
and tell me what is broken in the spec (not the libs fault since I've tried
two versions and both of them don't work in PLD :(

Revision 1.12  2002/04/06 22:56:45  klakier
- summary updated

Revision 1.11  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/08 18:03:01  misiek
- compile without rtti + this is X app

Revision 1.6  2002/01/08 13:59:42  misiek
- started update to 0.12.2

Revision 1.5  2001/10/10 11:55:01  qboosh
- BuildRequires: autoconf, automake

Revision 1.4  2001/08/09 14:27:08  jajcus
- some updates for new pwlib/openh323. It still doesn't compile, as gnomemeeting
itself doesn't support new openh323

Revision 1.3  2001/07/04 22:31:31  martii
- few changes

Revision 1.2  2001/07/03 20:42:45  martii
- one more change

Revision 1.1  2001/07/03 20:34:22  martii
- Initial version, not tested
